"use strict";
this.name        = "fighters-eqcond";
this.author      = "Norby";
this.copyright   = "2016 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";

this.allowAwardEquipment = function(eqKey, ship, context) {
    if (eqKey == "EQ_FIGHTERBAY"
        || eqKey == "EQ_FIGHTERSUPPORT"
        || eqKey == "EQ_FIGHTERSREMOVE" ) {
        if( ship == player.ship && player.ship.docked
            && player.ship.dockedStation && player.ship.dockedStation.hasShipyard ) {
                return true; //buy or remove these at stations with shipyard only
        }
    } else if (eqKey && (eqKey.indexOf("EQ_FIGHTER_") == 0 //new fighter
        || eqKey.indexOf("REFUND_EQ_FIGHTER_") == 0 ) ) {  //or refund
        if( context == "purchase" ) {
            if( ship == player.ship && player.ship.docked //need station with shipyard
                && player.ship.dockedStation && player.ship.dockedStation.hasShipyard ) {

                if( eqKey.indexOf("EQ_FIGHTER_") == 0 ) { //new fighter or repair

                    var w = worldScripts.fighters;
                    if( w && w._eqStats(ship, eqKey).dmg > 0 ) return true; //repair

                    var ai = player.ship.manifest.alien_items;

                    //Swarm fighter need 3 Alien Items
                    if( eqKey.indexOf("EQ_FIGHTER_SWARM") == 0 && !(ai>=3)) return false;

                    //GalTech fighter need Galaxy 6 or completed Constrictor Hunt core mission
                    if( eqKey.indexOf("EQ_FIGHTER_GALTECH") == 0 && galaxyNumber != 5
                            && missionVariables.conhunt != "MISSION_COMPLETE" )
                        return false;

                    //Shark fighter need 5 Alien Items, mainStation and Galaxy 7
                    //or completed Nova core mission
                    if( eqKey.indexOf("EQ_FIGHTER_SHARK") == 0 && ( !(ai>=5)
                        || player.ship.dockedStation != system.mainStation
                        || galaxyNumber != 6
                            && missionVariables.nova != "NOVA_HERO" ) )
                        return false;

                    //King fighter need 10 Alien Items, mainStation and Galaxy 8
                    //or completed Thargoid Plans core mission
                    if( eqKey.indexOf("EQ_FIGHTER_KING") == 0 && ( !(ai>=10)
                        || player.ship.dockedStation != system.mainStation
                        || galaxyNumber != 7
                            && missionVariables.thargplans != "MISSION_COMPLETE" ) )
                        return false;

                    if( w && w.$FightersOfPlayer < w.$MaxFighters )
                        return true; //there is a room for a new fighter

                } else { //refund fighter
                    var k = eqKey.substring(7); //chop REFUND_ to get the eqkey of fighter
                    if(ship.equipmentStatus(k) == "EQUIPMENT_OK")
                        return true; //there is an undamaged fighter from this type in this ship
                }
            }
        } else return true; //award a fighter eq at landing in space
    }
    return false;
}
